%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}
%define develname %mklibname %{name} -d

%define freetype_version 2.3.5

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}
%define rebuild_doc	0
%if %{bootstrap}
%define rebuild_doc 0
%endif

Summary: Font configuration library
Name: fontconfig
Version: 2.11.1
%define subrel 1
Release: %mkrel 4
License: MIT
Group: System/X11
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.bz2
# (fc) 2.3.2-3mdk prefer urw fonts
Source1: 30-mdv-urwfonts.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3: 20-mdv-disable-antialias.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5: 30-mdv-avoid-bitmap.conf
# (fc) 2.4.2-1mdv disable embedded bitmap for big size (Mdv bug #25924)
Source8: 26-mdv-no-embeddedbitmap.conf
# (fc) 2.4.92-1mdv enable embeddedbitmap on some CJK fonts (Fedora)
Source10: 25-no-bitmap-fedora.conf
# (pz) rpm filetriggers to update cache
Source11: fc-cache.filter
Source12: fc-cache.script
# (fc) 2.1-4mdk change order of default fonts
Patch1: fontconfig-mdvconfig.patch

Patch50: fontconfig-2.11.1-CVE-2016-5384.patch

URL: http://fontconfig.org/

Requires(post): %{lib_name}  >= %{version}-%{release}
BuildRequires: freetype2-devel >= %{freetype_version}

BuildRequires: ed
%if %{rebuild_doc}
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
%endif
BuildRequires: lynx
BuildRequires: libxml2-devel
BuildRequires: libxml2-utils

# fwang: add conflicts to ease upgrade
Conflicts:	x11-font-wqy-bitmapfont < 1.0-0.20070901.1

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{develname}
Summary: Font configuration and customization library
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Obsoletes: %mklibname -d %{name} 1

%description -n %{develname}
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q
%patch1 -p1 -b .mdvconfig
%patch50 -p1 -b .CVE-2016-5384

%build
%if !%{rebuild_doc}
export HASDOCBOOK=no
%endif

%configure2_5x --localstatedir=/var \
   --with-add-fonts="/usr/lib/X11/fonts,/usr/X11R6/lib/X11/fonts,/opt/ttfonts" \
   --enable-libxml2 \
   --disable-static

%make

%check
make check

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE3} %{SOURCE5} %{SOURCE8} %{SOURCE10} %{buildroot}%{_sysconfdir}/fonts/conf.d 

# needed in case main config files isn't up to date
cat << EOF > %{buildroot}%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/var/cache/fontconfig</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

ln -s %{_datadir}/fontconfig/conf.avail/25-unhint-nonlatin.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig 

# install filetriggers
install -d -m 0755 %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0644 %{SOURCE11} %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0755 %{SOURCE12} %{buildroot}%{_var}/lib/rpm/filetriggers

# we don't want these
find %{buildroot} -name "*.la" -delete

%post
%{_bindir}/fc-cache --force --system-only >/dev/null

%triggerprein -- fontconfig < 2.4.0
rm -f %{_var}/cache/fontconfig/*.cache-2

%files
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%dir %{_var}/cache/fontconfig
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.d/README
%{_datadir}/fontconfig
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_var}/lib/rpm/filetriggers/fc-cache.*

%files -n %{lib_name}
%{_libdir}/*.so.%{fontconfig_major}
%{_libdir}/*.so.%{fontconfig_major}.*

%files -n %{develname}
%doc doc/fontconfig-devel doc/fontconfig-devel.txt 
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Mon Aug 08 2016 luigiwalser <luigiwalser> 2.11.1-4.1.mga5
+ Revision: 1045008
- rediff upstream patch to fix CVE-2016-5384

* Wed Oct 15 2014 umeabot <umeabot> 2.11.1-4.mga5
+ Revision: 744720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11.1-3.mga5
+ Revision: 679254
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 fwang <fwang> 2.11.1-2.mga5
+ Revision: 660320
- promote source han at first

* Sat Mar 29 2014 luigiwalser <luigiwalser> 2.11.1-1.mga5
+ Revision: 609638
- 2.11.1

* Tue Oct 22 2013 umeabot <umeabot> 2.11.0-2.mga4
+ Revision: 541353
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 2.11.0-1.mga4
+ Revision: 495666
- new version 2.11.0

* Sun Sep 01 2013 tmb <tmb> 2.10.95-1.mga4
+ Revision: 474023
- 2.10.95 (crash fix)

* Sat Aug 31 2013 luigiwalser <luigiwalser> 2.10.94-1.mga4
+ Revision: 473609
- 2.10.94

* Sun May 26 2013 blino <blino> 2.10.93-1.mga4
+ Revision: 428238
- 2.10.93

* Fri Jan 11 2013 umeabot <umeabot> 2.10.2-2.mga3
+ Revision: 350644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 2.10.2-1.mga3
+ Revision: 322235
- new version 2.10.2

* Fri Aug 03 2012 fwang <fwang> 2.10.1-3.mga3
+ Revision: 278107
- drop more invalid rules

* Tue Jul 31 2012 fwang <fwang> 2.10.1-2.mga3
+ Revision: 276551
- delete rules that are not used any more

* Fri Jul 27 2012 fwang <fwang> 2.10.1-1.mga3
+ Revision: 274803
- new version 2.10.1

  + yochenhsieh <yochenhsieh>
    - Alter default zh_TW font order in conf

* Tue Jul 17 2012 fwang <fwang> 2.10-2.mga3
+ Revision: 271708
- fix symlink

* Tue Jul 17 2012 fwang <fwang> 2.10-1.mga3
+ Revision: 271698
- update file list
- fix dtd checking
- do not build doc for now
- new version 2.10

  + yochenhsieh <yochenhsieh>
    - Update/fix patch format errors
    - Set AR PL Uming TW for zh-tw default

* Fri Jun 08 2012 fwang <fwang> 2.9.0-1.mga3
+ Revision: 257473
- new version 2.9.0

* Sun Oct 09 2011 wally <wally> 2.8.0-6.mga2
+ Revision: 153560
- disable static build and get rid of .la files

  + blino <blino>
    - remove old ldconfig scriptlets
    - imported package fontconfig

